'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('core-js/modules/es7.object.values');

require('core-js/modules/es7.object.entries');

require('core-js/modules/es7.object.get-own-property-descriptors');

require('core-js/modules/es7.string.pad-start');

require('core-js/modules/es7.string.pad-end');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _filesystem = require('./filesystem');

var _filesystem2 = _interopRequireDefault(_filesystem);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Module to load and register template mixins.
 */
const Template = {

  mixins: {},

  /**
   * Template.getMixins() -> Object
   */
  getMixins() {
    return this.mixins;
  },

  /**
   * Template.loadMixins(path) -> Object
   * - path (String): Path to the template mixins
   */
  loadMixins(path) {
    const start = Date.now();

    if (!_fs2.default.existsSync(path)) {
      return _bluebird2.default.resolve();
    }

    return _filesystem2.default.requireFilesInDirectory(path).then(mixins => {
      this.mixins = mixins;
      _logger2.default.profile('Load template mixins', start);
    });
  }
}; /**
    * Copyright 2014 Skytap Inc.
    *
    * Licensed under the Apache License, Version 2.0 (the "License")
    * you may not use this file except in compliance with the License.
    * You may obtain a copy of the License at
    *
    *     http://www.apache.org/licenses/LICENSE-2.0
    *
    * Unless required by applicable law or agreed to in writing, software
    * distributed under the License is distributed on an "AS IS" BASIS,
    * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    * See the License for the specific language governing permissions and
    * limitations under the License.
    */

exports.default = Template;